Subject: Re: bug#14132: check-build target

From: Stefano Lattarini <[email-masked]>
Date: Fri, 19 Apr 2013 16:34:58 +0200

severity 14132 wishlist
thanks

Hi Paul, sorry for the shameful delay.

On 04/03/2013 03:37 PM, Zimmermann Paul wrote:
>        Hi,
> 
> this is not a real bug report, but a feature request.
> 
And tagging the report accordingly.

> We are using automake in the GNU MPFR project. Thank you for this program!
> In our "make check" target, automake produces:
> 
> check-am: all-am
>         $(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
>         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
> 
> However when cross-compiling, we'd like to only build the tests binaries,
> not run them on the build machine.
> 
> Thus it would be nice to have a separate target (say check-build) that would
> only build the check programs, not run them:
> 
> check-build:
>         $(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
> 
Sound sensible.  Maybe with s/check-build/check-build-am/ though, to avoid
impinging on the user namespace, and avoid breaking existing Makefile.am
that happen to already use the 'check-build' target name for other purposes
(I bet there are such packages in the wild).

> check-am: all-am check-build
>         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
>
A change in this direction doesn't seem to difficult, and I agree that the
feature you are requesting might indeed be useful.  But I don't have much
Automake time ATM, and there are existing loose ends that needs to be
addressed first.  So I don't know when I will get back to your feature
request, sadly.  In the meantime, if you want to help speeding things up,
patches are very welcome ;-)

Best regards,
  Stefano